osl::rating::ImmediateAddSupport::Test Struct Reference

## Public Member Functions

| Test (bool *r, const NumEffectState &s, Move m)
template<Player P>
void | doAction (Piece, Square last_attack)

## Public Attributes

bool * | result
const NumEffectState & | state
Move | move

## Detailed Description

Definition at line 43 of file feature.cc.

## Constructor & Destructor Documentation

## Test()

osl::rating::ImmediateAddSupport::Test::Test | ( | bool * | r,
|  | const NumEffectState & | s,
|  | Move | m )

inline

Definition at line 48 of file feature.cc.

References move, result, and state.

## Member Function Documentation

## doAction()

template<Player P>

void osl::rating::ImmediateAddSupport::Test::doAction | ( | Piece | ,
|  | Square | last_attack )

inline

Definition at line 53 of file feature.cc.

References osl::Piece::isOnBoardByOwner(), move, result, and state.

## Member Data Documentation

## move

Move osl::rating::ImmediateAddSupport::Test::move

Definition at line 47 of file feature.cc.

Referenced by doAction(), and Test().

## result

bool* osl::rating::ImmediateAddSupport::Test::result

Definition at line 45 of file feature.cc.

Referenced by doAction(), and Test().

## state

const NumEffectState& osl::rating::ImmediateAddSupport::Test::state

Definition at line 46 of file feature.cc.

Referenced by doAction(), and Test().

The documentation for this struct was generated from the following file:

- feature.cc